
import pandas as pd
import numpy as np


from data import *
from model import *


# Importing dataset
df = pd.read_csv("01_Masteroppgave/data_from_sql.csv")
df_municipalities_counties = pd.read_csv("01_Masteroppgave/data_municipalities_counties_fylke.csv")
df_macro = pd.read_csv("01_Masteroppgave/data_macro.csv")

# Data transformation
df_transformed = data_transformation(df, df_municipalities_counties, df_macro)
# Data modelling
data_model(df_transformed)

# Descriptive statistics
desc_table = df_transformed.describe().transpose()
pd.options.display.float_format = '{:.2f}'.format
desc_table.to_csv("desc_stats.csv")
